## org.hibernate.cfg.annotations
Class MapKeyJoinColumnDelegator

    java.lang.Object
      org.hibernate.cfg.annotations.MapKeyJoinColumnDelegator

All Implemented Interfaces:
  Annotation, JoinColumn

    public class MapKeyJoinColumnDelegator

extends Object
implements JoinColumn

Constructor Summary
`MapKeyJoinColumnDelegator(MapKeyJoinColumn column)`

Method Summary
`Class<? extends Annotation>` `annotationType()`
`String` `columnDefinition()`
`boolean` `insertable()`
`String` `name()`
`boolean` `nullable()`
`String` `referencedColumnName()`
`String` `table()`
`boolean` `unique()`
`boolean` `updatable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.annotation.Annotation
`equals, hashCode, toString`

Constructor Detail

### MapKeyJoinColumnDelegator

    public MapKeyJoinColumnDelegator(MapKeyJoinColumn column)

Method Detail

### name

    public String name()

### referencedColumnName

    public String referencedColumnName()

### unique

    public boolean unique()

### nullable

    public boolean nullable()

### insertable

    public boolean insertable()

### updatable

    public boolean updatable()

### columnDefinition

    public String columnDefinition()

### table

    public String table()

### annotationType

    public Class<? extends Annotation> annotationType()

  Specified by:
    `annotationType` in interface `Annotation`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.